# libVES

### Browser PIN-based e2e encryption at-rest
## Simple * Safe * Secure


[VESvault.com](https://vesvault.com) | [VES.host](https://ves.host) | [VESlocker.com](https://veslocker.com) | [demo.VES.world](https://demo.ves.world)


#### Instantiate libVES

    var VES = new libVES({domain: 'x-myapp'});


#### Authorize with VES in the same browser window

    VES.flow(true).then(....)


#### Or, authorize with VES via a popup window

    VES.delegate().then(....)


#### Store an e2e encrypted value

    VES.putValue('item-id', 'value')


#### Store a value and e2e share with other VES accounts

    VES.putValue('item-id', 'value', [
        {externalId: 'me@acme.com'},
        {externalId: 'user1@acme.com'},
        {externalId: 'user2@acme.com'}
    ])


#### Retrieve a previously stored value

    VES.getValue('item-id').then(function(value) { .... })


### Full API Docs:

https://ves.host/docs/libVES
